/cosmos/staking/v1beta1/validators/{validator_addr}/delegations
GET
Retrieves delegation information for the given validator.
Path Parameters
validator_addrstringrequired
Validator address to query.Query Parameters
pagination.keystring
key is a value returned in PageResponse.next_key to beginquerying the next page most efficiently. Only one of offset or keyshould be set.pagination.offsetstring
offset is a numeric offset that can be used when key is unavailable.It is less efficient than using key. Only one of offset or key shouldbe set.pagination.limitstring
limit is the total number of results to be returned in the result page.If left empty it will default to a value to be set by each app.pagination.count_totalboolean
count_total is set to true to indicate that the result set should includea count of the total number of items available for pagination in UIs.count_total is only respected when offset is used. It is ignored when keyis set.pagination.reverseboolean
Set to true to return results in descending order.Responses
Delegation information for tokens held by the account. Owned by a single delegator and linked to the voting power of a single validator.
delegator_addressstring
delegator_address is the encoded address of the delegator.validator_addressstring
Encoded address of the validator.sharesstring
shares define the delegation shares received.Coin defines a token with a denomination and an amount.NOTE: The amount field is an Int which implements the custom methodsignatures required by gogoproto.
denomstring
amountstring
pagination defines an pagination for the response.
next_keystring
next_key is the key to be passed to PageRequest.key toquery the next page most efficiently. It will be empty ifthere are no more results.totalstring
codestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "An unexpected error response."}
cURL
curl -X GET 'https://rest-sei-mainnet.nodit.io/cosmos/staking/v1beta1/validators/{validator_addr}/delegations' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo'